Subject: Re: bug#23276: 25.0.92; Crash in auto-revert when file no longer present

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Apr 2016 18:16:53 +0300

> Date: Tue, 12 Apr 2016 13:07:48 +0200
> From: Anders Lindgren <[email-masked]>
> 
> I just had auto-revert crash on me... (Emacs 25.0.92 on Windows. `debug-on-error' is t.)

I don't see any crash, just an error that was signaled.  Am I missing
something?

> I had a file open in Emacs that was rewritten over and over again by an external process. My guess is that
> Emacs decides that it should be reverted, but when it actually reads the file, it is no longer present.
> 
> I would suggest that auto-revert silently ignores this error.

Ignore and empty the buffer, or ignore and leave it at its previous
contents?